Bug 285801 - Review Request: simias - Collection-Oriented Data Storage
Review Request: simias - Collection-Oriented Data Storage
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 526493
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-09-11 08:13 EDT by Christopher Brown
Modified: 2012-06-29 18:19 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-29 18:19:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
use system gsoap (2.97 KB, patch)
2007-12-16 12:41 EST, David Juran
no flags Details | Diff
links with libflaim shared object (674 bytes, patch)
2007-12-16 13:45 EST, David Juran
no flags Details | Diff
spec file for build 9169 (35.70 KB, text/plain)
2009-06-15 16:57 EDT, Vilius Šumskas
no flags Details

  None (edit)
Description Christopher Brown 2007-09-11 08:13:41 EDT
Spec URL: http://snecker.fedorapeople.org/simias/simias.spec
SRPM URL: http://snecker.fedorapeople.org/simias/simias-1.6-1.20070907svn.src.rpm
Description: Simias is a technology that will allow various types of data to be
stored and related in what is known as a collection.  Initially Simias
is the underlying data store for the iFolder project, although it has
potential to do much more.
Comment 1 Pierre Ossman 2007-10-29 14:33:03 EDT
Package needs:

BuildRequires: flex
BuildRequires: gcc-c++

And even after that:

/bin/sh ../../../../libtool --tag=CXX   --mode=link g++  -fshort-wchar
-DFLAIMWRAPPER_EXPORTS -DUNIX -D_REENTRANT -c -g -O2 "-lpthread -lrt -lstdc++
-ldl -lncurses /usr/lib/libflaim.a"  -o libFlaimWrapper.la -rpath /usr/lib
libFlaimWrapper_la-CSPObjectIterator.lo libFlaimWrapper_la-CSPropertyIterator.lo
libFlaimWrapper_la-CSPStore.lo libFlaimWrapper_la-CSPStoreObject.lo
libFlaimWrapper_la-FlaimWrapper.lo  

*** Warning: Linking the shared library libFlaimWrapper.la against the
*** static library /usr/lib/libflaim.a is not portable!
g++ -shared -nostdlib /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../crti.o
/usr/lib/gcc/i386-redhat-linux/4.1.2/crtbeginS.o 
.libs/libFlaimWrapper_la-CSPObjectIterator.o
.libs/libFlaimWrapper_la-CSPropertyIterator.o
.libs/libFlaimWrapper_la-CSPStore.o .libs/libFlaimWrapper_la-CSPStoreObject.o
.libs/libFlaimWrapper_la-FlaimWrapper.o  -lpthread -lrt -ldl -lncurses
/usr/lib/libflaim.a -L/usr/lib/gcc/i386-redhat-linux/4.1.2
-L/usr/lib/gcc/i386-redhat-linux/4.1.2/../../.. -lstdc++ -lm -lc -lgcc_s
/usr/lib/gcc/i386-redhat-linux/4.1.2/crtendS.o
/usr/lib/gcc/i386-redhat-linux/4.1.2/../../../crtn.o  -Wl,-soname
-Wl,libFlaimWrapper.so.0 -o .libs/libFlaimWrapper.so.0.0.0
g++: /usr/lib/libflaim.a: No such file or directory
Comment 2 Christopher Brown 2007-11-19 05:17:53 EST
Hello Pierre,

(In reply to comment #1)
> Package needs:
> 
> BuildRequires: flex
> BuildRequires: gcc-c++

Okay, thanks for the review. I've fixed this.

> 
> And even after that:
> 
> /bin/sh ../../../../libtool --tag=CXX   --mode=link g++  -fshort-wchar
> -DFLAIMWRAPPER_EXPORTS -DUNIX -D_REENTRANT -c -g -O2 "-lpthread -lrt -lstdc++
> -ldl -lncurses /usr/lib/libflaim.a"  -o libFlaimWrapper.la -rpath /usr/lib
> libFlaimWrapper_la-CSPObjectIterator.lo libFlaimWrapper_la-CSPropertyIterator.lo
> libFlaimWrapper_la-CSPStore.lo libFlaimWrapper_la-CSPStoreObject.lo
> libFlaimWrapper_la-FlaimWrapper.lo  
> 
> *** Warning: Linking the shared library libFlaimWrapper.la against the
> *** static library /usr/lib/libflaim.a is not portable!
> g++ -shared -nostdlib /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../crti.o
> /usr/lib/gcc/i386-redhat-linux/4.1.2/crtbeginS.o 
> .libs/libFlaimWrapper_la-CSPObjectIterator.o
> .libs/libFlaimWrapper_la-CSPropertyIterator.o
> .libs/libFlaimWrapper_la-CSPStore.o .libs/libFlaimWrapper_la-CSPStoreObject.o
> .libs/libFlaimWrapper_la-FlaimWrapper.o  -lpthread -lrt -ldl -lncurses
> /usr/lib/libflaim.a -L/usr/lib/gcc/i386-redhat-linux/4.1.2
> -L/usr/lib/gcc/i386-redhat-linux/4.1.2/../../.. -lstdc++ -lm -lc -lgcc_s
> /usr/lib/gcc/i386-redhat-linux/4.1.2/crtendS.o
> /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../crtn.o  -Wl,-soname
> -Wl,libFlaimWrapper.so.0 -o .libs/libFlaimWrapper.so.0.0.0
> g++: /usr/lib/libflaim.a: No such file or directory
> 

I've built an update to libflaim and requested the push into stable. I'll
re-submit when this comes through in a day or so.
Comment 3 Christopher Brown 2007-11-19 09:47:19 EST
Okay, I have rebuilt against the new libflaim. This won't work in mock/koji for
a day or so until the new package is pushed but all the updated stuff can be
found at:

http://snecker.fedorapeople.org/simias
Comment 4 Jason Tibbitts 2007-11-21 17:23:09 EST
This now fails to build for me in a different manner:

+ ./autogen.sh --prefix=/usr --bindir=/usr/bin --exec_prefix=/usr
--sysconfdir=/etc --includedir=/usr/include --datadir=/usr/share --with-runasclient

You must have autoconf installed to compile Simias.
Download the appropriate package for your distribution,
or get the source tarball at ftp://ftp.gnu.org/pub/gnu/

You must have automake installed to compile Simias.
Download the appropriate package for your distribution,
or get the source tarball at ftp://ftp.gnu.org/pub/gnu/
error: Bad exit status from /var/tmp/rpm-tmp.74877 (%build)

It isn't really surprising to need this for a snapshot pulled from the upstream
SCM, but I'm curious as to how you got a proper build of this without these
installed in the buildroot.

Adding the necessary BuildRequires gets me to and autoconf file with a ton of
errors which look related to libtool, so I added that as well.  And now the
build makes it to:

gcc -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-fno-strict-aliasing  -DWITH_BISON -DWITH_FLEX symbol2.o error2.o
soapcpp2_yacc.tab.o lex.yy.o init2.o soapcpp2.o /usr/lib/libfl.a -o soapcpp2
gcc: /usr/lib/libfl.a: No such file or directory
make: *** [soapcpp2] Error 1

At which point I give up.  Why does this package building on x86_64 need to link
against a 32-bit flex?

I know this package is large, but please try to use either koji scratch builds
or a local mock installation to ensure that your packages are buildable.
Comment 5 Christopher Brown 2007-11-22 09:43:08 EST
Hi Jason,

Thanks for the review.

(In reply to comment #4)
> This now fails to build for me in a different manner:
> 
> + ./autogen.sh --prefix=/usr --bindir=/usr/bin --exec_prefix=/usr
> --sysconfdir=/etc --includedir=/usr/include --datadir=/usr/share
--with-runasclient
> 
> You must have autoconf installed to compile Simias.
> Download the appropriate package for your distribution,
> or get the source tarball at ftp://ftp.gnu.org/pub/gnu/
> 
> You must have automake installed to compile Simias.
> Download the appropriate package for your distribution,
> or get the source tarball at ftp://ftp.gnu.org/pub/gnu/
> error: Bad exit status from /var/tmp/rpm-tmp.74877 (%build)
> 
> It isn't really surprising to need this for a snapshot pulled from the upstream
> SCM, but I'm curious as to how you got a proper build of this without these
> installed in the buildroot.

I thought these were in the default buildroot - obviously this is not the case.
I have updated the spec file.

http://snecker.fedorapeople.org/simias/simias.spec

> Adding the necessary BuildRequires gets me to and autoconf file with a ton of
> errors which look related to libtool, so I added that as well.

Okay, added that too. I sometimes think it is better to BuildRequire
*everything* needed. :(

> And now the
> build makes it to:
> 
> gcc -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
> -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
> -fno-strict-aliasing  -DWITH_BISON -DWITH_FLEX symbol2.o error2.o
> soapcpp2_yacc.tab.o lex.yy.o init2.o soapcpp2.o /usr/lib/libfl.a -o soapcpp2
> gcc: /usr/lib/libfl.a: No such file or directory
> make: *** [soapcpp2] Error 1
> 
> At which point I give up.  Why does this package building on x86_64 need to link
> against a 32-bit flex?

Hmm, hadn't even got to a mock build yet. I have an issue with a static library
which I am trying to resolve at the moment. Namely, in the following makefile

http://snecker.fedorapeople.org/simias/Makefile.am

the issue with the ldflags hack for 64bit.

> I know this package is large, but please try to use either koji scratch builds
> or a local mock installation to ensure that your packages are buildable.

I will once I have all of the above resolved and rpmlint is quiet. Until then
this package can be ignored - i will update further when it is ready for review
again.

Thanks again for your attention.
Comment 6 Christopher Brown 2007-11-22 09:57:29 EST
Sorry, should've mentioned that

> http://snecker.fedorapeople.org/simias/Makefile.am
 
is at src/core/FlaimProvider/FlaimWrapper/Makefile.am

and the diff is here:

http://tinyurl.com/2t7k92

Comment 7 Mamoru TASAKA 2007-12-03 09:00:04 EST
Well, then where is the newest spec/srpm?
Comment 8 Christopher Brown 2007-12-09 06:11:57 EST
(In reply to comment #7)
> Well, then where is the newest spec/srpm?

http://snecker.fedorapeople.org/simias/simias.spec
http://snecker.fedorapeople.org/simias/simias-1.6-1.20071116svn.src.rpm

Apologies for the delay - I have been on holiday for two weeks.

Regards
Chris
Comment 9 David Juran 2007-12-14 14:57:27 EST
I think the key here is to use the gsoap already provided in fedora instead of
trying to build (and maintain) your own private version.
  You also might want to investigate what those binaries that are distributed in
the source tar file (in e.g. tools and external) are doing there and make sure
everything really is built from scratch.
Comment 10 David Juran 2007-12-16 12:41:52 EST
Created attachment 289724 [details]
use system gsoap

The attached patch will use the gsoap that is part of Fedora. I't compiles, but
that's as far as I've tested it...
Comment 11 David Juran 2007-12-16 13:45:02 EST
Created attachment 289725 [details]
links with libflaim shared object

And this patch will use as a shared object instead of linking the static
archive. Again, it compiles, but that's as far as I've tested...
Comment 12 Christopher Brown 2007-12-16 19:45:40 EST
David,

Thank you very much for the above. Koji is undergoing an upgrade presently
however I've setup the static archive for removal in an update which I'll
request pushing ASAP. I'm also going to send the relevant patches upstream of
course and will update this bug report in the next 24-48 hours.
Comment 13 Christopher Brown 2007-12-17 13:45:04 EST
Okay done.

http://koji.fedoraproject.org/koji/taskinfo?taskID=297258
Comment 14 Christopher Brown 2008-03-24 14:23:21 EDT
Hello,

If anyone is available to review this package it would be appreciated - upstream
is non-responsive to the patches David created but I would still like to see
this software accepted into Fedora.

Cheers
Chris
Comment 15 Jason Tibbitts 2008-06-25 21:38:30 EDT
This is terribly old; it landed right in the middle of one of the java carpet
bombs and I always skipped over it when looking for tickets to review.

Are you still interested in having this reviewed?  Do you have an updated
package incorporating those patches?
Comment 16 Christopher Brown 2008-06-30 12:20:56 EDT
Hi Jason,

(In reply to comment #15)
> This is terribly old; it landed right in the middle of one of the java carpet
> bombs and I always skipped over it when looking for tickets to review.
> 
> Are you still interested in having this reviewed?  Do you have an updated
> package incorporating those patches?

This is a dependency for iFolder which I was hoping to get packaged for Fedora.
However upstream (Novell) are acting wierd, incrementing versions without
releasing code and there doesn't seem to be much of a need for it as evidenced
by the lack of comment in the iFolder mailing lists. The patches are still being
ignored so I'm closing this one for now. Thank you for the prod and previous
attention.

Regards
Chris
Comment 17 Matthew Miller 2009-05-06 16:38:19 EDT
Reopening for reevaluation in light of recent developments -- a new release, and new promises from Novell that it will now get the proper support it needs to develop as an open source project.

See LWN.net article: 
http://lwn.net/Articles/330870/ (subscriber only content for now but will open to the public shortly -- in the meantime if you need access).

Is anyone else interested in still working on this? Christopher?
Comment 18 John Anderson 2009-06-08 15:20:23 EDT
I would be interested in having a look, does anyone still have the spec available?
Comment 19 John Anderson 2009-06-09 16:57:24 EDT
I filed a bug upstream regarding lack of tagging or any other way of marking releases in their source:
https://bugzilla.novell.com/show_bug.cgi?id=511409

They said they were planning on getting their repository cleaned up this month when talking to them in #ifolder.

Right now it seems theres no good way to pull the source for a release.
Comment 20 Christopher Brown 2009-06-14 19:13:48 EDT
(In reply to comment #19)
> I filed a bug upstream regarding lack of tagging or any other way of marking
> releases in their source:
> https://bugzilla.novell.com/show_bug.cgi?id=511409
> 
> They said they were planning on getting their repository cleaned up this month
> when talking to them in #ifolder.
> 
> Right now it seems theres no good way to pull the source for a release.  

I was trying to put together a release from cvs/svn when I started this. Unfortunately I lost my progress as it was hosted on fedorapeople and this all seems to have disappeared. Probably needs re-working anyway in light of recent events but doing releases from vcs isn't that much harder than regular ones. There is guidance on the wiki for this. I was waiting to see how much of an effort Novell were _really_ going to put into reviving it - seems they're quite serious so will look at this in earnest soon, though anyone who thinks they can do a quick job of it is more than welcome. I maintain log4net in Fedora so one of the deps is already fulfilled. :)
Comment 21 Vilius Šumskas 2009-06-15 00:54:13 EDT
I've just successfully compiled newest ifolder 3.7.2 (build 9169) from these SuSE rpms http://download.opensuse.org/repositories/Mono:/UIA:/iFolder/MonoOpenSUSE_11.0/ on F11 and started to use it. So far so good. If anyone intrested I can share it.
Comment 22 Christopher Brown 2009-06-15 16:38:49 EDT
(In reply to comment #21)
> I've just successfully compiled newest ifolder 3.7.2 (build 9169) from these
> SuSE rpms
> http://download.opensuse.org/repositories/Mono:/UIA:/iFolder/MonoOpenSUSE_11.0/
> on F11 and started to use it. So far so good. If anyone intrested I can share
> it.  

The spec file would be good. Thanks to the fedora infrastructure team I was able to recover my old data so the original link now works again :)

However it is outdated - I'll try compiling again and then updating shortly.
Comment 23 Vilius Šumskas 2009-06-15 16:57:35 EDT
Created attachment 348006 [details]
spec file for build 9169

Here you go.

Also I had to apply libflaim patch for this ticket. Included gSOAP seem to compile fine.
Comment 24 Christopher Brown 2009-06-15 17:29:36 EDT
(In reply to comment #23)
> Created an attachment (id=348006) [details]
> spec file for build 9169
> 
> Here you go.

Thanks!
 
> Also I had to apply libflaim patch for this ticket. Included gSOAP seem to
> compile fine.  

That's cool though we'll need to use system gsoap for the review.
Comment 25 Jason Tibbitts 2009-07-01 19:34:01 EDT
If this is really ready for review, please post a spec file and srpm and don't have this ticket block FE-DEADREVIEW.
Comment 26 Jason Tibbitts 2009-08-03 21:40:23 EDT
Still no spec and srpm and nobody edited the blocker, so it's probably safe to assume that nobody cares about this package.  I guess I'll close this ticket soon if nothing appears.
Comment 27 Christopher Brown 2009-08-06 13:36:50 EDT
Hi Jason,

Sorry - didn't realise this review was blocking FE-DEADREVIEW and had already posted the spec and review links. Anyway, here they are again. Its been a while since I worked on this but your review is appreciated.

http://snecker.fedorapeople.org/simias/simias.spec
http://snecker.fedorapeople.org/simias/simias-1.6-1.20071116svn.src.rpm
Comment 28 Steve Traylen 2009-11-03 18:49:21 EST
Hi Chris.

build fails with a

checking pkg-config is at least version 0.9.0... yes
checking for LIBFLAIM... yes
checking for UUID... configure: error: Package requirements (uuid) were not met:

No package 'uuid' found
Comment 29 Steve Traylen 2009-11-03 19:01:41 EST
There definitely some Apache licensed code in there as well e.g
simias-1.6/src/core/Simias.log4net/src

so some reviewing of the licensing is needed.

but also log4net is in Fedora already though I've not checked 
if this actually the same thing.

Also it looks like the private gsoap is being used again?
Comment 30 Jason Tibbitts 2010-01-25 18:31:07 EST
This is still marked as not building after more than two months.  I'll close this soon if that's not rectified.
Comment 31 Christopher Brown 2010-01-30 13:52:23 EST
Hi Jason,

(In reply to comment #30)
> This is still marked as not building after more than two months.  I'll close
> this soon if that's not rectified.    

Thanks for the nudge. Mono has just had the update I need to get this rolling again. Will update shortly.

Regards
Comment 32 Christopher Brown 2010-01-31 18:11:20 EST
I have updated this and it will shortly be ready for review. It is currently blocked by an minor update to log4net which will be pushed shortly.

http://snecker.fedorapeople.org/simias/simias-1.8.3-1.20100131svn.src.rpm
http://snecker.fedorapeople.org/simias/simias.spec

There are still some rpmlint warnings and I haven't done licensing review on it yet. Will update further when I believe its ready.

Thanks
Comment 33 Jason Tibbitts 2010-11-02 17:23:49 EDT
And after pretty much an entire year, this is still marked as not building.  It looks like the previous comment intended to provide a version which builds, but nobody cleared the whiteboard.  If this ever does become ready for a review, please clear the whiteboard so that it reappears in the review queue.  Otherwise, let's close this out.
Comment 34 Ismael Olea 2010-12-20 06:31:44 EST
Expecting a new release from upstream in the coming weeks.
Comment 35 Ismael Olea 2010-12-20 06:34:46 EST
Oh my! My last comment doesn't apply here! Dunno how I wrote here by mistake.

My fault. Big sorry.
Comment 36 Orion Poplawski 2011-04-29 12:37:09 EDT
So, the previous package URLs are inaccessible.  Also it appears that libflaim has been orphaned and dead packaged, although it appears to build okay.  Any hope on this?
Comment 37 Peter van Ieperen 2011-11-13 03:30:23 EST
I managed to build it, since iFolder is widely used within our company.
I've been building ifolder and simias since fedora 12.
You can find the packages here: 
http://rpm.globe-nl.net/fedora/release
I haven't added the source rpms for 15 and 16 yet, but will do so later on.

The specs-files I used are based on the specs-files from OpenSuSE.

So if I can help with something, please don't hasitate.
Comment 38 Peter van Ieperen 2011-11-13 03:59:45 EST
I forgot to say, i've been building the client.

Note You need to log in before you can comment on or make changes to this bug.